# Class CIM_FilterListInSystem
extends CIM_SystemComponent

FilterLists are defined in the context of a ComputerSystem (e.g., a router, firewall or host). Note that this class is deprecated since its subclassing is not correct. It subclasses from SystemComponent, but a FilterList is NOT a Component of a System. Instead, it is hosted/scoped by the System. In versions up to CIM 2.6, FilterListInSystem was a mandatory, Weak relationship. This is no longer true, beginning with CIM V2.7.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_FilterListInSystem

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | CIM_HostedFilterList

Description

string

FilterLists are defined in the context of a ComputerSystem (e.g., a router, firewall or host). Note that this class is deprecated since its subclassing is not correct. It subclasses from SystemComponent, but a FilterList is NOT a Component of a System. Instead, it is hosted/scoped by the System. In versions up to CIM 2.6, FilterListInSystem was a mandatory, Weak relationship. This is no longer true, beginning with CIM V2.7.

UMLPackagePath | string | CIM::Network::Filtering
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_FilterListInSystem | CIM_ComputerSystem
PartComponent | CIM_FilterListInSystem | CIM_FilterList

## Class Methods